set -x PATH $HOME/.local/bin $HOME/.cargo/bin $PATH
set -x GPG_TTY (tty)
set -x BROWSER firefox
set -x EDITOR nvim
set -x MOZ_ENABLE_WAYLAND 1
set -x DEFMT_LOG info # default logging level for defmt

{% if hostname == "vostok" %}
set -x QT_STYLE_OVERRIDE Oxygen
{% end %}

{% if hostname == "buran" %}
set -x QT_QPA_PLATFORMTHEME qt5ct

# enable custom file picker in e.g. firefox
set -x GTK_USE_PORTAL 1
{% end %}

{% if username == "u0_a213" %}
set -x USER hulthe
{% end %}

# launch vimwiki
function wi
	cd ~/wiki/text
	nvim index.wiki
end

# misc abbrs
abbr --add e $EDITOR
abbr --add bt bluetoothctl
abbr --add d "cd ~/.config/dotfiles/tree && exa -Ta && git status"

# rust core tools abbrs
abbr --add ls exa
abbr --add cat bat
abbr --add find fd
abbr --add grep rg

# git abbrs
abbr --add ga git add
abbr --add gc git commit
abbr --add gd git diff
abbr --add gp git push
abbr --add gpu git push -u origin
abbr --add gl git pull
abbr --add gr git reset
abbr --add gst git status
abbr --add gsta git stash push
abbr --add gstp git stash pop
abbr --add grc gitrecap # custom recap command

fish_vi_key_bindings

fish_ssh_agent

zoxide init fish | source

starship init fish | source

{% if hostname != "vostok" %}
# start sway if logging in on tty 1
if status is-login
and set -q XDG_SESSION_TYPE XDG_VTNR
and test $XDG_SESSION_TYPE = "tty" -a $XDG_VTNR = "1"
	set -x XDG_CURRENT_DESKTOP sway
	exec sway
end
{% end %}
